SDL_GetKeyFromScancode(3)

NAME
SDL_GetKeyFromScancode - Get the key code corresponding to the given scancode according to the current keyboard layout.

SYNOPSIS
#include <SDL3/SDL_keyboard.h>

SDL_Keycode SDL_GetKeyFromScancode(SDL_Scancode scancode, SDL_Keymod modstate, bool key_event);

DESCRIPTION
If you want to get the keycode as it would be delivered in key events, including options specified in SDL_HINT_KEYCODE_OPTIONS, then you should pass key_event as true. Otherwise this function simply translates the scancode based on the given modifier state.

FUNCTION PARAMETERS

scancode
    the desired SDL_Scancode to query.

modstate
    the modifier state to use when translating the scancode to a keycode.

key_event
    true if the keycode will be used in key events.

RETURN VALUE
Returns the SDL_Keycode that corresponds to the given SDL_Scancode.

THREAD SAFETY
This function is not thread safe.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetKeyName(3), SDL_GetScancodeFromKey(3)